Stack Exchange Network

Stack Exchange network consists of 175 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [magento-upgrade]

Denotes a question related to Magento upgrade process

0
votes
0answers
26 views

Warning: simplexml_load_string(): Entity: line 7: parser error

Just upgraded from 1.9.3 to 1.9.4, and now this is filling up system.log Warning: simplexml_load_string(): Entity: line 7: parser error : XML declaration allowed only at the start of the document ...
3
votes
0answers
32 views

Multistore Images are not coming after Upgrade 2.2.6 to 2.3

I have multiple stores setup with more then 100K products and 500+ categories. So my issue is when I upgrade Magento 2.2.6 to 2.3 the product images are coming properly from main store but some ...
2
votes
1answer
26 views

Upgrade magento 2.2.3 to 2.2.8 fatal error

Hi I upgrade my magento 2.2.3 to 2.2.8 where I have some custom functionality for emails. After upgrading am getting Fatal error: Uncaught Error: Call to undefined method Magento\Framework\Mail\...
1
vote
0answers
69 views

After upgrade to Magento 2.2.8 my transactional email is not working anymore

I just updated to Magento 2.2.8 and now my email is not working anymore, the message I get is: The message should be an instance of \Zend_Mail I tried the Mageside and Mageplaza module, also ...
0
votes
1answer
97 views

Magento 2.3 Upgrade issue

I'm trying to upgrade to Magento 2.3.1 and I'm running into a problem. I was on PHP 7.1.3 and noticed in the system requirements that it requires 7.1.3 and 7.2.X. We've upgraded the server PHP version ...
2
votes
0answers
63 views

Magento 2.3 Backup failed Error received from server

I want to upgrade magento from 2.3 > 2.3.1 my system running on google cloud servers using bitnami I have registered my domain on cloudflare to get the ssl at first upgrade attempt on third ...
0
votes
0answers
23 views

Set a value for DATA_CONVERTER_BATCH_SIZE — not a valid id

I am trying to update my Magento 2.3 instance to 2.3.1. So I'm trying to finish the update and upgrade checklist, but when I get to the step: Set a value for DATA_CONVERTER_BATCH_SIZE, I copied ...
2
votes
1answer
52 views

Magento 2.2.5 After Upgrade To 2.3 CLI commands don't work

I upgraded magento version by documentation, after upgrade this happens: When running php bin/magento cache:flush or any other bin/magento command error appears There are no commands defined in the "...
0
votes
1answer
25 views

Warning: set_error_handler() expects parameter 2 to be integer, string given in bin/magento on line 21

I have ungraded my Magento 2.2.x Store to Magento 2.3. After upgrade everything was working fine. I have observed a new issue in PHP CLI. Once I run any CLI command I am getting PHP Warning Like ...
1
vote
1answer
28 views

Backend is ok but frontend is acting abnormally after upgrading Magento to 2.3 and php to 7.1

I upgraded Magento to v2.3 from v2.2. I also upgraded my php from 7.0 to 7.1. So right now, the backend is working fine but my frontend keeps showing the following error 2 exception(s): ...
1
vote
3answers
84 views

Fatal error: Out of memory (in composer) during upgrade Magento2.2.1 to Magento 2.3 when run composer update command

Fatal error: Out of memory (allocated 1045438464) (tried to allocate 16777216 bytes) in phar:///usr/local/bin/composer.phar/src/Composer/DependencyResolver/Solver.php on line 220 I am using ...
0
votes
1answer
19 views

Steps to upgrade from Magento 2.x.x to Magento 2.x.x

I have seen a lot of peoples are facing the problem when upgrade from Magento 2.x.x to Magento 2.x.x. If upgraded successfully, then people are facing the problem Attention: Something Wrong and ...
1
vote
1answer
32 views

Magento 2 upgrading from V 2.1.3 to V 2.2.6 Error

I am trying to upgrade my website from Magento V2.1.3 to Magento V2.2.6 and it's successfully upgraded. But when I'm opening website it's returning error shown below image. Any help on this to ...
1
vote
1answer
41 views

Can we upgrade Magento 1.7 to 2.0? [closed]

I want to upgrade my site 1.7 to 2.0. Is it possible? If possible then what the issue face of after upgrade?
1
vote
1answer
146 views

unable to update Magento to latest version from 2.2.4 to 2.3

I am trying to update Magento 2.2.4 to Magento 2.3 via composer but I am getting below error: Your requirements could not be resolved to an installable set of packages. Problem 1: - magento/...
0
votes
0answers
33 views

Upgrade Issue - no matching package found. zendframework/zend-stdlib ^2.7.7 not found

I am upgrading from Magento 2.1.14 to Magento 2.2.6, when I run composer update I get the following error. Appreciate your help. Problem 1 - Installation request for magento/product-community-...
0
votes
2answers
65 views

How to solve MGS\\Mpanel\\Model\\Category\\Attribute\\Source\\Perrow does not exist error in magento-2.2.7?

I have installed a MGSTheme in old Magento version 2.1.12. But Now it generate some error during update. If i will remove complete folder app/code/MGS after that we run update process. it updated ...
0
votes
0answers
52 views

Cannot send headers - mcryptcompat/mcrypt.php

Upgrading using magento connect from 1.9.2.4 to 1.9.4.0. But the process got interrupted and site gave 500 Internal Server error. Have corrected it by correcting the file permissions. Now i am ...
0
votes
0answers
27 views

How to do migration from Magento 2 CE to Magento 2 EE?

I'm upgrading from Magento CE (2.2.x) to Magento 2.2.x EE. How can I migrate the database and code? Your help is highly appreciated.
0
votes
1answer
24 views

How do I update 1.4.1 website

I would like to upgrade to the Magento's latest version and latest version of theme. I know very about coding. What do I need to do?
2
votes
1answer
273 views

Magento 2.3 upgrade failed with PHP Fatal error: Uncaught Error: Class Zend\Code\Annotation\AnnotationManager Error

I've upgraded my Dev server from Magento 2.2.5 to 2.3 I had to install in increments by going from 2.2.5->2.2.6>2.2.7 and then on to 2.3 There were also a few modules I had to remove to get the ...
1
vote
1answer
534 views

PHP Fatal error: Cannot redeclare __() (previously declared in /vendor/magento/framework/Phrase/__.php:15) in /app/functions.php on line 23

Hello I am facing the issue after upgrade from 2.2.6 to 2.3.0 Can you suggest what is needed to be modified? file __.php : <?php declare(strict_types=1); function __() { $argc = ...
0
votes
1answer
69 views

Error after Magento 2.3.0 - $.mage.isDevMode is not a function

after upgrading from 2.2.6 to 2.3.0 I started to get this error, can't seem to find much info about this function. I already cleared all cache folders, static files, regenerated them and nothing ...
0
votes
0answers
210 views

How to Solve Check Component Dependency Error during Magento Upgrade?

I want to update magento-2.1.12 to magento-2.2.7 using Web Setup Wizard. We faced this error Check Component Dependency(We found conflicting component dependencies.). How to solve this error? Please ...
0
votes
1answer
150 views

Compilation from source on static-content deploy in magento 2.3.0 when upgraded from magento 2.2.2

Hello i had upgraded magento 2.2.2 to 2.3.0 and i am getting following error when i do setup:static-content:deploy Compilation from source: /home/xxxxxxxx/public_html/xxxx/xxxxxx/vendor/magento/theme-...
2
votes
2answers
648 views

Is there something mad going on with Magento critical vulnerability scanner

I upgraded my site to Magento2.3 a few hours back, but I am getting emails every few minutes from other peoples servers telling me to install SUPEE-5344 which I thought was years old, is there some ...
0
votes
0answers
49 views

Update Magento 2.6 to Magento 2.3 Issue

Preconditions: Magento 2.2.7 Current PHP Version PHP 7.1.22 Steps to reproduce: 1. Go to System > Web Setup Wizard 2. Click on system upgrades 3. Start the update process Here are the issues I'm ...
2
votes
3answers
1k views

Magento 2.3 installation PHP requirement

I'm trying to update Magento 2.2 to version 2.3 using this command: composer require magento/product-community-edition=2.3.0 When doing so, I receive the following error: Loading composer ...
0
votes
1answer
299 views

Problems after upgrate magento 2.2.5 to 2.3.0

After I upgraded Mageto 2.2.5 to 2.3.0 I've run all the commands in the console (upgrade,deploy,compile,flush), but on frontend it doesn't load the page and in system.log I'm getting following error ...
0
votes
0answers
165 views

Magento 2.2.7 to 2.3.0 Check Component Dependency Problem

when trying to upgrade i cannot get the wizard to work. I keep getting the following error yet when i check the PHP version using command line in the public_html folder it shows 7.2 ? Command "update"...
0
votes
1answer
707 views

Migrate Magento 1.9.2.1 to Magento 2.3.0

I want to migrate Magento 1.9.2.1 to Magento 2.3 (Without Sample Data). But, when I execute composer update command. It's return some errors. The "magento/inventory-composer-installer" plugin was ...
0
votes
1answer
546 views

Upgrading Magento 2.2.6 to 2.3.0: Component Dependency

Is there any way to upgrade from Magento 2.2.6 to 2.3 using the Web Setup Wizard? I'm getting the following error: Check Component Dependency We found conflicting component dependencies. Hide detail ...
0
votes
1answer
79 views

Why PHP Settings Check and Checking Component Dependency showing error during Magento 2.3 upgrade?

I was Upgrade Magento from 2.1.12 to 2.3 using Web Setup Wizard. During this process, It show two error PHP Settings Check and Checking Component Dependency. We already set memory_limit=2GB in php/...
10
votes
3answers
2k views

Magento 2.2.X > 2.3.0 upgrade issues

Today magento 2.3.0 was officially released. I tried to upgrade from 2.2.6 > 2.3.0 but failed. Tried to upgrade from 2.2.6 > 2.2.7 and it succeeded with no issues. tried again 2.2.7 > 2.3.0 and got ...
1
vote
2answers
68 views

Will the installed third party plugins upgrade when we upgrade Magento version via composer

Currently, our Magento store running with the version Magento 2.2.3. We have upgraded the Magento version to Magento 2.2.6 via composer. We would like to know that the installed third-party plugins ...
0
votes
1answer
35 views

Difference between updating Magento 2.1.x to latest 2.1.15 & 2.2.6

I see that Magento 2 updates are simultaneously released in both a 2.1.x format and a 2.2.x format. I currently have a Magento 2.1.x running, but I wonder wether I should aim to update to the newest ...
1
vote
2answers
2k views

How to update Magento 2.2.x to Magento 2.3 ? Is it possible to upgrade?

I wanted to know is it possible to update Magento from 2.2.x to 2.3? Or what is a solution to update all Magento 2.2.x stores to Magento 2.3? If we will update it then what are the challenges for that ...
2
votes
0answers
39 views

Magento performance went dow by 50% after upgrading from 2.1 to 2.2

I've upgraded Magento 2.1.11 to Magento 2.2.6 and after the upgrade the CPU utilization and CPU load duplicated. Is was a simple and straight forward upgrade. No server changes were made regarding ...
0
votes
0answers
19 views

Help with Magento error on an old install (Array to string conversion)

we are using a very old Magento version (1.4), the site's live, and we are upgrading on a staging site to 2.2. Yesterday all was working fine, but this morning (suddenly) we find this error: a:5:{i:...
1
vote
0answers
42 views

getting error when upgrading from Magento 2.1.5 to Magento 2.2.6

I want to upgrade my website with the latest version. I am using below commands: composer require magento/product-community-edition 2.2.6 --no-update composer update I am getting below error:...
0
votes
1answer
189 views

Getting EscapeHelper doesnt exist after magento upgrade to 2.2.6

Getting below error after upgrade to 2.2.6: 1 exception(s): Exception #0 (ReflectionException): Class Magento\Framework\EscapeHelper does not exist I have checked vendor/magento/framework folder and ...
1
vote
2answers
315 views

checkout_agreement_store doesn't exist

Any idea? Preconditions Starting from Magento CE 2.2.5 Upgrade from 2.2.5 to 2.2.6 Steps to reproduce Starting from Magento CE 2.2.5 Created a terms and conditions (Store-->Terms and conditions) ...
1
vote
3answers
303 views

I can not upgrade from Magento 2.2.5 to Magento 2.2.6

When upgrading from Magento 2.2.5 to Magento 2.2.6, it is output as follows. $ cd /var/www/html/magento_project $ php bin/magento maintenance:enable $ composer update $ composer require magento/...
3
votes
3answers
71 views

How to solve this error?

I am trying to upgrade magento version from 2.1.9 to 2.1.10 I got following error. Module 'Magento_Ui' from '/home/zitomer/upgrade.zitomer.com/app/code/Magento/Ui' has been already defined in '...
2
votes
3answers
697 views

can't upgrade 1.9.3.0 to 1.9.3.10

I have tried through the Magento connect manager but it always ends with Nginx proxy 504 Also tried with chmod +x mage ./mage mage-setup . ./mage config-set preferred_state stable ./mage sync ./...
0
votes
1answer
25 views

List of files those are updated in upgrade Magento 2.2.x1 to 2.2.x2

I need to list all the files which are modified as we upgrade Magento 2.2.x1 to 2.2.x2.So that I can figure out the rewrites and the other plugins which I have made are working properly after the ...
0
votes
1answer
85 views

Magento 2.2.5 Unable to Upgrade Database

We just upgraded out Magento to version 2.2.5, and when going to the website we are confronted with this error: https://pastebin.com/LkjaGxC6 Upon running the command, in the CLI we are then greeted ...
2
votes
1answer
32 views

Magento Theme Broke after Upgrading to 2.2.5

We recently had to update our Magento to allow support for a crucial plugin on our website, however on updating to 2.2.5 the frontend shows lots of errors. What would of caused this and how can it be ...
1
vote
1answer
172 views

Detecting possible issues with serialized data after Magento 2.2 upgrade

While upgrading Magento from 2.1.x to 2.2.x version. We have found an error like "Unable to unserialized value" in few tables. For Example: - "info" column of a magento_logging_event table, "...
1
vote
0answers
29 views

Update Magento 1.4.1.1. to first 1.4.2 but “No releases for package ”magento-core/Mage_All_Latest“ exist”

I'm using exactly the same method described in this question but i get the following errors: No releases for package "magento-core/Mage_All_Latest" exist Cannot initialize 'channel://connect....